<ng-template #elementBlockTemplate1>
    <div class="block-ui-template" style="min-height: 380px;">
        <!-- <div class="sk-double-bounce sk-primary">
          <div class="sk-child sk-double-bounce1"></div>
          <div class="sk-child sk-double-bounce2"></div>
        </div> -->
        <div class="app-splash-screen" style="align-items: center; display: flex;">
            <div class="new-app-splash-screen-content text-center" style="top:0%;position: initial;">
                <!-- <img src="../../assets/img/card-hx-loader.svg" class="card-loader-svg"> -->
                <svg class="entityLoader" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                     style="margin: auto; background: transparent none repeat scroll 0% 0%; display: block;"
                     viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                    <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.6s"></animate>
                    </circle>
                    <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                 begin="-0.44999999999999996s"></animate>
                    </circle>
                    <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.3s"></animate>
                    </circle>
                    <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.15s"></animate>
                    </circle>
                </svg>
            </div>
        </div>
        <!-- <p class="text-center text-white"> {{loadingText}} </p> -->
    </div>
</ng-template>
<ng-template #elementBlockTemplate2>
    <div class="block-ui-template">
        <div class="app-splash-screen ">
            <div class="new-app-splash-screen-content text-center">
                <!-- <img src="../../assets/img/card-hx-loader.svg" class="card-loader-svg"> -->
                <svg class="entityLoader" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                     style="margin: auto; background: transparent none repeat scroll 0% 0%; display: block;"
                     viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                    <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.6s"></animate>
                    </circle>
                    <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                 begin="-0.44999999999999996s"></animate>
                    </circle>
                    <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.3s"></animate>
                    </circle>
                    <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.15s"></animate>
                    </circle>
                </svg>
            </div>
        </div>
        <!-- <div class="sk-three-bounce sk-primary" style="width:auto;margin:0px;">
          <div class="sk-child sk-bounce1"></div>
          <div class="sk-child sk-bounce2"></div>
          <div class="sk-child sk-bounce3"></div>
        </div> -->
    </div>
</ng-template>

<ng-template #serverFailed>
    <div style="text-align: center;padding-top: 150px; height: 380px">
        {{isSuccess.msg}}
    </div>
</ng-template>
<div class="row m-0">
    <div *ngIf="!is_mobile_device" class="card p-0 card-shadow border-radius-10 custom_viewcard_scroll"
         id="{{'entity_1_fullscreen_container'+viewGroup.object_id}}"
         [ngClass]="[resultData && resultData.hsresult &&
            resultData.hsresult['date_lim_ap']?'highlight_on_date_out':'',
            (viewTags&& viewGroup.view_size == 'big')?(datamanager.isFullScreen ? 'col-md-12 border-radius-0' : 'col-md-9 border-radius-10'):'col-md-12']">

        <div class="card-header with-elements pr-0">
            <!-- TILE HEADER TITLE -->
            <app-hint [id]="'drag-cards'" *ngIf="view_index == 0"></app-hint>
            <div class="card-header-title dashboard-tile-title">
                 <span [placement]="datamanager.isFullScreen?'bottom':'top'"
              ngbTooltip="{{viewGroup.view_description}}"
              [ngClass]="datamanager.isFullScreen? 'fw-600':'fw-500'">{{viewGroup.view_description}}</span>
            </div>

            <!-- TILE ELEMENTS -->
            <div class="ml-auto btn-group btn-group-xs btn-group-toggle ng-untouched ng-pristine ng-valid mr-2">
                <div *ngIf="datamanager.isFullScreen === false &&  viewGroup.edit_content && viewGroup.edit_content!='' && viewGroup.view_size == 'big' ? 'isBulbIcon' : ''">
                        <app-hint [id]="'lightbulb'"></app-hint>                    
                        <button class="btn btn-sm btn-default icon-btn btn-round md-btn-flast hide-arrow  "
                            (click)="toggleViewTags()" ngbTooltip="Key Takeaways">
                        <i class="far fa-lightbulb f-14"></i>
                    </button>
                </div>
                <div *ngIf="resultData.hsresult" class="ml-2">
                    <hx-filter style="text-align:left" [resultData]="resultData.hsresult"
                               [filterNotifier]="filterNotifier1"
                               (toolApply)="toolApply($event)" [isFromEntity1]="true" [callbackJson]="callbackJson">
                    </hx-filter>
                    <app-hint [id]="'local-filters'"></app-hint>

                </div>
                <div *ngIf="viewGroup.default_display == 'grid'||viewGroup.default_display == 'table'" class="ml-2">
                    <button (click)="fullscreenIcon('entity_1_fullscreen_container'+viewGroup.object_id, viewGroup)"
                            [placement]="datamanager.isFullScreen?'left':'top'"
                            [ngbTooltip]="datamanager.isFullScreen?'close':'Full Screen'"
                            class="btn btn-sm btn-default icon-btn btn-round md-btn-flast hide-arrow  ">
                        <i [ngClass]="datamanager.isFullScreen?'ion-md-close f-15 v-align-top':'fa fa-arrows-alt icon-tint font-icons'"></i>
                    </button>
                </div>
                <div [hidden]="datamanager.isFullScreen" ngbDropdown
                     [placement]="isRTL ? 'bottom-left' : 'bottom-right'" class="ml-2">
                    <button ngbDropdownToggle placement="top" ngbTooltip="More"
                            class="btn btn-sm btn-default icon-btn btn-round md-btn-flat hide-arrow  ">
                        <i class="ion ion-ios-more font-icons"></i>
                    </button>
                    <div ngbDropdownMenu [class.dropdown-menu-right]="!isRTL" class="dark-dropdown-menu zindex1080">
                        <a class="dropdown-item" href="javascript:void(0)"
                           *ngIf="!viewGroup.is_map_view && (viewGroup.default_display == 'grid'||viewGroup.default_display == 'table')"
                           (click)="onIntentClick(viewGroup, true)">
                            <i class="fas fa-long-arrow-alt-right" aria-hidden="true"></i><span
                                class="ml-2">Detail View</span>
                        </a>
                        <a class="dropdown-item" href="javascript:void(0)"
                           *ngIf="viewGroup.default_display != 'grid' && viewGroup.default_display != 'table'"
                           (click)="onIntentClick(viewGroup, false)">
                            <i class="fas fa-long-arrow-alt-right" aria-hidden="true"></i><span
                                class="ml-2">Detail View</span>
                        </a>
                        <a class="dropdown-item" href="javascript:void(0)" *ngIf="!isReadRole"
                           (click)="editPinItem(editPinModal,viewGroup)">
                            <i class="fas fa-pencil-alt"></i><span class="ml-1">Edit</span>
                        </a>
                        <a class="dropdown-item" *ngIf="datamanager.showHelp" (click)="helpPinItem()">
                            <i class="fa fa-question"></i><span class="ml-2">Help</span>
                        </a>
                        <a class="dropdown-item" href="javascript:void(0)" *ngIf="!isReadRole"
                           (click)="openDialog(ConfirmModal,{windowClass: 'modal-fill-in modal-lg modal-sm animate'},viewGroup.object_id)">
                            <i class="fas fa-thumbtack icon-tint"></i><span class="ml-2">Unpin</span>
                        </a>
                        <a class="dropdown-item" href="javascript:void(0)" *ngIf="isAdmin" (click)="setAsDefault()">
                            <i class="fas fa-pencil-alt"></i><span class="ml-1">Set As Default</span>
                        </a>


                        <!-- Collapse  -->
                        <!-- <a class="dropdown-item" href="javascript:void(0)" *ngIf="viewGroup.default_display == 'grid'||viewGroup.default_display == 'table'" (click)="expandAndCollapseAll()">
                          <i [class]="expandCollapseIcon"></i><span class="ml-2">{{expandCollapseTooltip}}</span>
                        </a> -->
                        <!-- Collapse  -->

                    </div>
                </div>
            </div>
        </div>

        <div class="loader-wrapper" style="min-height: 380px;" *blockUI="blockUIName;  template: elementBlockTemplate1">
            <div *ngIf="isSuccess.status; else serverFailed">
                <div *ngIf="resultData.hsresult">
                    <hx-entity1 style="text-align:left" [viewGroups]="viewGroups" [viewGroup]="viewGroup"
                                [defaultDisplayType]="defaultDisplayType"
                                [resultData]="resultData" [callbackJson]="callbackJson" [pivot_config]="pivot_config"
                                [dataChanged]="dataChanged"
                                [hideFilters]="isOverview" [isView]="true">
                    </hx-entity1>
                </div>
            </div>
        </div>
    </div>
    <div [ngbCollapse]="(is_mobile_device && isCollapsed)"
         *ngIf="viewTags && viewGroup.formated_edit_content && viewGroup.formated_edit_content!='' && viewGroup.view_size == 'big'"
         class="col-md-3 key-takeaway-container pl-4 pr-0 dashboard_ipad_view">
        <div [innerHTML]='formateText(viewGroup.formated_edit_content) | safeHtml' class="key-take-innerdiv"
             [style.height]="(viewGroup.view_size == 'big' && pivot_config && pivot_config.options.viewType == 'charts') ? '550px' : '430px'"
             [perfectScrollbar]></div>
    </div>

    <div *ngIf="viewTags && viewGroup.view_size == 'big' && !(deviceService.isTablet()||deviceService.isMobile())"
         class="keytakeaway_close" style="position: absolute;top:15px;right:15px"
         (click)="toggleViewTags()">
        <button class="btn  btn-default btn-round md-btn-flat hide-arrow key-take-btn">
            <i class="fa fa-times" style="font-weight:bolder;font-size:16px;"></i>
        </button>
    </div>
    <div [ngbCollapse]="isCollapsed"
         *ngIf="viewTags && viewGroup.view_size == 'big' && (deviceService.isTablet()||deviceService.isMobile())"
         class="keytakeaway_close" style="position: absolute;top:15px;right:15px"
         (click)="toggleViewTags()">
        <button class="btn  btn-default btn-round md-btn-flat hide-arrow key-take-btn">
            <i class="fa fa-times" style="font-weight:bolder;font-size:16px;"></i>
        </button>
    </div>


</div>


<div *ngIf="deviceService.isTablet()" class="card p-0 card-shadow border-radius-10"
     [ngClass]="[resultData && resultData.hsresult && resultData.hsresult['date_lim_ap']?'highlight_on_date_out':'', (viewTags&& viewGroup.view_size == 'big' && !isCollapsed)?'col-md-9':'col-md-12']">
    <div class="loader-wrapper" *blockUI="blockUIName; template: elementBlockTemplate1">
        <h6 class="card-header with-elements pr-0 pb-0" (click)='showDashboardObject(index)'>

            <div class="card-header-title dashboard-tile-title tooltipMob"
                 (press)="onLongPress(viewGroup.view_description)"
                 (pressUp)="onPressUp()">
                <span class="tooltiptext" *ngIf="mobTooltipStr != ''">{{mobTooltipStr}}</span>
                {{viewGroup.view_description}}
            </div>


        </h6>
        <div *ngIf="resultData.hsresult">

            <!-- <span class="tooltipMob etl-text text-tiny" placement="bottom" (press)="onLongPress('Data Available till')"
              (pressUp)="onPressUp()">
              <span class="tooltiptext" *ngIf="mobTooltipStr != ''">Data Available till</span>
              Data last updated : {{fn_etldate(resultData.hsresult.etl_date)}}
            </span> -->

            <span class=" etldate etl-icon" placement="top"
                  [ngbTooltip]="'Data last updated : '+fn_etldate(resultData.hsresult.etl_date)">
            <button class="btn btn-sm btn-default icon-btn btn-round md-btn-flast hide-arrow">
              <i class="ion ion-ios-information-circle-outline"></i>
            </button>
          </span>
        </div>
        <div *ngIf="isSuccess.status; else serverFailed">
            <div *ngIf="resultData.hsresult" [ngbCollapse]="isCollapsed">
                <hx-entity1 style="text-align:left" [viewGroups]="viewGroups" [viewGroup]="viewGroup"
                            [defaultDisplayType]="defaultDisplayType"
                            [resultData]="resultData" [callbackJson]="callbackJson" [pivot_config]="pivot_config"
                            [dataChanged]="dataChanged"
                            [hideFilters]="isOverview" [isView]="true">
                </hx-entity1>
            </div>
        </div>
    </div>
    <div class="card-header-elements ml-auto mr-2">

        <div *ngIf="datamanager.isFullScreen === false && viewGroup.edit_content && viewGroup.edit_content!='' && viewGroup.view_size == 'big' ? 'isBulbIcon' : ''">
            <button class="btn btn-sm btn-default icon-btn btn-round md-btn-flast hide-arrow  "
                    (click)="toggleViewTags()">
                <i class="far fa-lightbulb f-14"></i>
            </button>
        </div>
        <div *ngIf="resultData.hsresult" class="ml-2">
            <hx-filter style="text-align:left" [resultData]="resultData.hsresult" [filterNotifier]="filterNotifier1"
                       (toolApply)="toolApply($event)" [isFromEntity1]="true">
            </hx-filter>
        </div>

        <div *ngIf="(viewGroup.default_display == 'grid'||viewGroup.default_display == 'table') && isHeaderClicked "
             class="ml-2">
            <button (click)="fullscreenIcon($event, viewGroup)" placement="top" ngbTooltip="Full Screen"
                    class="btn btn-sm btn-default icon-btn btn-round md-btn-flast hide-arrow  ">
                <i class="fa fa-arrows-alt icon-tint"></i>
            </button>
        </div>

        <div ngbDropdown [placement]="isRTL ? 'bottom-left' : 'bottom-right'" class="ml-2">
            <button ngbDropdownToggle placement="top"
                    class="btn btn-sm btn-default icon-btn btn-round md-btn-flat hide-arrow  ">
                <i class="ion ion-ios-more"></i>
            </button>
            <div ngbDropdownMenu [class.dropdown-menu-right]="!isRTL" class="dark-dropdown-menu">
                <a class="dropdown-item" href="javascript:void(0)"
                   *ngIf="viewGroup.default_display == 'grid'||viewGroup.default_display == 'table'"
                   (click)="onIntentClick(viewGroup, true)">
                    <i class="fas fa-long-arrow-alt-right" aria-hidden="true"></i><span class="ml-2">Detail View</span>
                </a>
                <a class="dropdown-item" href="javascript:void(0)"
                   *ngIf="viewGroup.default_display != 'grid' && viewGroup.default_display != 'table'"
                   (click)="onIntentClick(viewGroup, false)">
                    <i class="fas fa-long-arrow-alt-right" aria-hidden="true"></i><span class="ml-2">Detail View</span>
                </a>
                <a class="dropdown-item" href="javascript:void(0)" *ngIf="!isReadRole"
                   (click)="editPinItem(editPinModal,viewGroup)">
                    <i class="fas fa-pencil-alt"></i><span class="ml-2">Edit</span>
                </a>
                <a class="dropdown-item" href="javascript:void(0)" *ngIf="!isReadRole"
                   (click)="openDialog(ConfirmModal,{windowClass: 'modal-fill-in modal-lg modal-sm animate'},viewGroup.object_id)">
                    <i class="fas fa-thumbtack icon-tint"></i><span class="ml-2">Unpin</span>
                </a>
                <a class="dropdown-item" href="javascript:void(0)"
                   (click)="openDialogFiltersApplied(filtersApplied,{windowClass: 'modal-fill-in modal-lg modal-sm animate'})">
                    <i class="fas fa-filter"></i><span class="ml-2">Filters Applied</span>
                </a>
                <ng-template #filtersApplied let-c="close" let-d="dismiss" class="modal fade-scale">
                    <div class="modal-header">
                        <h2 class="modal-title">
                            <span class="font-weight-light">Filters Applied</span>
                        </h2>

                        <button type="button" class="close" (click)="d('Cross click')">&times;</button>
                    </div>
                    <div class="modal-body">
                        <div >
                <span class="ml-5 align-ment">
                  <span class="badge-default badge badge-secondary">
                    FiltersApplied:</span>
                </span>

                            <span>
                  <span class="ml-1 values-align" *ngFor="let option of viewFilterdata">
                    <span class="badge-default badge badge-secondary badge-info">{{option.name}}</span>
                    - {{dateFormat(option)}}
                  </span>
                  <span *ngIf="!viewFilterdata.length>0">No
                    Filters Applied</span>
                </span>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" (click)="c('Close click')">Close</button>
                    </div>
                </ng-template>
            </div>
        </div>
    </div>
</div>


<!-- **********************************TILE TITLE ELEMENTS FOR MOBILE ONLY********************************** -->
<div *ngIf="deviceService.isMobile()">
    <div class="loader-wrapper" *blockUI="blockUIName; template: elementBlockTemplate2">
        <h6 class="card-header with-elements pr-0 pb-0" (click)='showDashboardObject(index)'>

            <div class="card-header-title dashboard-tile-title tooltipMob"
                 (press)="onLongPress(viewGroup.view_description)"
                 (pressUp)="onPressUp()">
                <span class="tooltiptext" *ngIf="mobTooltipStr != ''">{{mobTooltipStr}}</span>
                {{viewGroup.view_description}}
            </div>

            <div class="card-header-elements ml-auto mr-2">

                <!-- SWITCH BTN FOR CHART & TABLE -->
                <div *ngIf="resultData.hsresult" class="ml-3 btn-round md-btn-flast hide-arrow">
                    <button *ngIf="isDisplayView == 'chart'" type="button" class="btn btn-sm btn-default icon-btn"
                            (click)="toogleTableChart('chart', false)">
                        <i class="fas fa-chart-bar font-icons"></i>
                    </button>
                    <button *ngIf="isDisplayView == 'grid'" type="button" class="btn btn-sm btn-default icon-btn"
                            (click)="toogleTableChart('grid', false)">
                        <i class="fas fa-table font-icons"></i>
                    </button>
                </div>
                <!-- SWITCH BTN FOR CHART & TABLE -->

                <div *ngIf="(viewGroup.default_display == 'grid'||viewGroup.default_display == 'table') && isHeaderClicked"
                     class="ml-2">
                    <button (click)="fullscreenIcon($event, viewGroup)" placement="top" ngbTooltip="Full Screen"
                            class="btn btn-sm btn-default icon-btn btn-round md-btn-flast hide-arrow  ">
                        <i class="fa fa-arrows-alt icon-tint"></i>
                    </button>
                </div>


            </div>

        </h6>
        <!-- <div *ngIf="isHeaderClicked" style="height:500px"> -->
        <div *ngIf="isSuccess.status; else serverFailed">
            <div *ngIf="resultData.hsresult">
                <hx-entity1 style="text-align:left" [viewGroups]="viewGroups" [viewGroup]="viewGroup"
                            [defaultDisplayType]="defaultDisplayType"
                            [resultData]="resultData" [callbackJson]="callbackJson" [pivot_config]="pivot_config"
                            [dataChanged]="dataChanged"
                            [hideFilters]="isOverview" [isView]="true">
                </hx-entity1>
            </div>
        </div>
        <!-- </div> -->
    </div>
</div>
<!-- **********************************TILE TITLE ELEMENTS FOR MOBILE ONLY********************************** -->

<ng-template #editPinModal let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h5 class="modal-title">
            <span class="font-weight-light">Edit Tile</span>
        </h5>
        <button type="button" class="close" (click)="d('Cross click')">&times;</button>
    </div>
    <div class="modal-body">
        <div class="form-row">
            <div class="form-group col">
                <label class="form-label">Select Tile Size</label>
                <select class="form-control input-material option-capitalize" [(ngModel)]="pinChartSize">
                    <option class="option-material" *ngFor="let pinSize of pinSizeList"
                            [value]="pinSize">{{pinSize == 'big' ? 'Large' : pinSize}}
                    </option>
                </select>
            </div>
        </div>
        <div class="form-row">
            <div class="form-group col">
                <label class="form-label">Name</label>
                <input type="text" class="form-control input-material" placeholder="Name" name="pinName"
                       [(ngModel)]="pinName">
            </div>
        </div>
        <div class="form-row" *ngIf="datamanager.showChartJS">
            <div class="form-group col">
                <label class="form-label">Select Display Type</label>
                <select class="form-control input-material" [(ngModel)]="pinDisplaytype">
                    <option class="option-material" *ngFor="let pinView of pinViewDisplayList" [value]="pinView.value">
                        {{pinView.label}}</option>
                </select>
            </div>
        </div>

        <div class="form-row" *ngIf="!addNewDash">
            <div class="form-group col">
                <select class="form-control input-material" [(ngModel)]="pinMenuId">
                    <option class="option-material" *ngFor="let dashboardname of pinDashList"
                            [value]="dashboardname.MenuID">{{dashboardname.Display_Name}}</option>
                </select>
            </div>
        </div>
        <br>
        <div class="form-row">
            <div class="form-group col">
                <label class="form-label">Link Dashboard</label>
                <select class="form-control input-material" [(ngModel)]="editLinkDashMenuName">
                    <option class="option-material" *ngFor="let menu of subLinkMenuList" [value]="menu.MenuID">
                        {{menu.Display_Name}}</option>
                </select>
            </div>
        </div>
        <div class="form-row">
            <div class="form-group col">
                <label class="form-label">Keyword</label>
                <input type="text" class="form-control input-material" placeholder="Keyword" name="keyword"
                       [(ngModel)]="keyword" (keyup)="valid = datamanager.validate(keyword)">
            </div>
        </div>
        <span class="invalid-feedback" style="display:block" *ngIf="valid.status">{{valid.msg}}</span>
        <div class="form-row">
            <div class="form-group col">
                <label class="custom-control custom-checkbox">
                    <app-hint [id]="'input-global-filter'"></app-hint>

                    <input type="checkbox" class="custom-control-input" [(ngModel)]="isFiterCanApply"
                           [checked]="isFiterCanApply">
                    <span class="custom-control-label">Apply Global Filter</span>
                </label>
            </div>
        </div>
        <div class="form-row" *ngIf="datamanager.isMobileview">
            <div class="form-group col">
                <label class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input" [(ngModel)]="isMobileview"
                           [checked]="isMobileview">
                    <span class="custom-control-label">Mobile View</span>
                </label>
            </div>
        </div>
        <div class="form-row" style="max-height: 300px;min-height: 200px;overflow: auto;"
             *ngIf="!is_mobile_device ? 'd-none' : '' ">
            <div class="form-group col">
                <label class="form-label">Key Takeaways </label>
                <a *ngIf="editorContent" class="text-primary mr-1 float-right text-underline cursor"
                   (click)="clear_editor();">Clear</a>

                <div id="standalone-container" [hidden]="!show_editor">
                    <div id="toolbar-container">
                  <span class="ql-formats">
                    <select class="ql-font"></select>
                    <select class="ql-size"></select>
                  </span>
                        <span class="ql-formats">
                    <button class="ql-bold"></button>
                    <button class="ql-italic"></button>
                    <button class="ql-underline"></button>
                    <button class="ql-strike"></button>
                  </span>
                        <span class="ql-formats">
                    <select class="ql-color"></select>
                    <select class="ql-background"></select>
                  </span>
                        <span class="ql-formats">
                    <button class="ql-script" value="sub"></button>
                    <button class="ql-script" value="super"></button>
                  </span>
                        <span class="ql-formats">
                    <button class="ql-header" value="1"></button>
                    <button class="ql-header" value="2"></button>
                    <button class="ql-blockquote"></button>
                    <button class="ql-code-block"></button>
                  </span>
                        <span class="ql-formats">
                    <button class="ql-list" value="ordered"></button>
                    <button class="ql-list" value="bullet"></button>
                    <button class="ql-indent" value="-1"></button>
                    <button class="ql-indent" value="+1"></button>
                  </span>
                        <span class="ql-formats">
                    <button class="ql-direction" value="rtl"></button>
                    <select class="ql-align"></select>
                  </span>
                        <!-- <span class="ql-formats">
                          <button class="ql-link"></button>
                          <button class="ql-image"></button>
                          <button class="ql-video"></button>
                          <button class="ql-formula"></button>
                        </span> -->
                        <span class="ql-formats">
                    <button class="ql-clean"></button>
                  </span>
                    </div>
                    <div id="editor-container" style="min-height: 160px;"></div>
                </div>

                <!-- <quill-editor [(ngModel)]="editorContent" placeholder="Type something">
                    <div quill-editor-toolbar>
                      <span class="ql-formats">
                        <select class="ql-font"></select>
                        <select class="ql-size"></select>
                      </span>
                      <span class="ql-formats">
                        <button class="ql-bold"></button>
                        <button class="ql-italic"></button>
                        <button class="ql-underline"></button>
                        <button class="ql-strike"></button>
                      </span>
                      <span class="ql-formats">
                        <select class="ql-color"></select>
                        <select class="ql-background"></select>
                      </span>
                      <span class="ql-formats">
                        <button class="ql-script" value="sub"></button>
                        <button class="ql-script" value="super"></button>
                      </span>
                      <span class="ql-formats">
                        <button class="ql-header" value="1"></button>
                        <button class="ql-header" value="2"></button>
                        <button class="ql-blockquote"></button>
                        <button class="ql-code-block"></button>
                      </span>
                      <span class="ql-formats">
                        <button class="ql-list" value="ordered"></button>
                        <button class="ql-list" value="bullet"></button>
                        <button class="ql-indent" value="-1"></button>
                        <button class="ql-indent" value="+1"></button>
                      </span>
                      <span class="ql-formats">
                        <button class="ql-direction" value="rtl"></button>
                        <select class="ql-align"></select>
                      </span>
                      <span class="ql-formats">
                        <button class="ql-link"></button>
                        <button class="ql-image"></button>
                        <button class="ql-video"></button>
                      </span>
                      <span class="ql-formats">
                        <button class="ql-clean"></button>
                      </span>
                    </div>
                  </quill-editor> -->
            </div>
        </div>
    </div>

    <div class="modal-footer">
        <button type="button" class="btn btn-default" (click)="c('Close click')">Close</button>
        <button type="button" class="btn btn-primary btn-material" (click)="updatePinItem()">Save</button>
    </div>
</ng-template>

<!-- CONFIRMATION POPUP -->
<ng-template #ConfirmModal let-c="close" let-d="dismiss" class="modal fade-scale">
    <div class="modal-header">
        <h2 class="modal-title confirm-dialog"><i class="fa fa-exclamation-circle" aria-hidden="true"></i>
            <span class="font-weight-light">Confirmation</span>
        </h2>

        <button type="button" class="close" (click)="d('Cross click')">&times;</button>
    </div>

    <div class="modal-body">
        <!-- <h3 class="unpin-text">Are you sure?</h3>
        <p class="unpin-text">Do you really want to Unpin this Tile! This process cannot be undone.</p> -->
        <p class="unpin-text mb-0">Do you really want to Unpin this Tile! This process cannot be undone.</p>
    </div>

    <div class="modal-footer">

        <button type="button" class="btn btn-primary btn-material" (click)="removeDB(object_id);c('Close click')">Yes,
            Unpin it!
        </button>
        <button type="button" class="btn btn-default" (click)="c('Close click')">Cancel</button>
    </div>
</ng-template>

<!-- Help Item content -->
<div *ngIf="helpItem && help_data_status.show_help"
    [style.height]="(viewGroup.view_size == 'big' && pivot_config && pivot_config.options.viewType == 'charts') ? '550px' : '431px'"
    class="notification-material DashHelpDDown helpItemPanel">
    <mat-accordion>
        <mat-expansion-panel togglePosition="right" expanded="true" *ngIf="help_data_status.data_definition">
            <mat-expansion-panel-header>
                <mat-panel-title>
                    Data Definition
                </mat-panel-title>
            </mat-expansion-panel-header>
            <div [style.height]="(viewGroup.view_size == 'big' && pivot_config && pivot_config.options.viewType == 'charts') ? '405px' : '285px'">
                <ul>
                    <ng-container *ngFor="let measure of helpKeywordsListData">
                        <li *ngIf="measure?.data_definition">
                            <b>{{measure.Description}}</b> {{measure.data_definition}}
                        </li>
                    </ng-container>
                </ul>
            </div>
        </mat-expansion-panel>

        <mat-expansion-panel *ngIf="help_data_status.data_lineage">
            <mat-expansion-panel-header>
                <mat-panel-title>
                    Data Lineage
                </mat-panel-title>
            </mat-expansion-panel-header>
            <div [style.height]="(viewGroup.view_size == 'big' && pivot_config && pivot_config.options.viewType == 'charts') ? '405px' : '285px'">
                <ul>
                    <ng-container *ngFor="let measure of helpKeywordsListData">
                        <li *ngIf="measure?.data_lineage?.source_table || measure.data_lineage?.column_name ||
               measure.data_lineage?.transformation">
                            <b>{{measure.Description}}</b>
                            <ul>
                                <li *ngIf="measure.data_lineage?.source_table">Source
                                    Table: {{measure.data_lineage?.source_table}}</li>
                                <li *ngIf="measure.data_lineage?.column_name">Column
                                    Name: {{measure.data_lineage?.column_name}}</li>
                                <li *ngIf="measure.data_lineage?.transformation">
                                    Transformation: {{measure.data_lineage?.transformation}}</li>
                            </ul>
                        </li>
                    </ng-container>
                </ul>
            </div>
        </mat-expansion-panel>

        <mat-expansion-panel *ngIf="help_data_status.data_validation">
            <mat-expansion-panel-header>
                <mat-panel-title>
                    Data Validation
                </mat-panel-title>
            </mat-expansion-panel-header>
            <div [style.height]="(viewGroup.view_size == 'big' && pivot_config && pivot_config.options.viewType == 'charts') ? '405px' : '285px'">
                <ul *ngIf="helpKeywordsListData">
                    <li *ngIf="selDataSource_desc"><b>Hypersonix Entity: {{selDataSource_desc}}</b></li>
                    <li *ngIf="helpKeywordsListData[0].data_validation?.validation_source"><b>Validation
                            Source: {{helpKeywordsListData[0].data_validation?.validation_source}}</b></li>
                    <li *ngIf="helpKeywordsListData[0].data_validation?.validation_report"><b>Validation
                            Report: {{helpKeywordsListData[0].data_validation?.validation_report}}</b></li>
                    <li *ngIf="helpKeywordsListData[0].data_validation?.validated_date"><b>Validation
                            Date: {{helpKeywordsListData[0].data_validation?.validated_date|date}}</b></li>
                    <li *ngIf="helpKeywordsListData[0].data_validation?.approved_by"><b>Approved
                            By: {{helpKeywordsListData[0].data_validation?.approved_by}}</b></li>
                    <li *ngIf="helpKeywordsListData[0].data_validation?.validation_frequency"><b>Validation
                            Frequency: {{helpKeywordsListData[0].data_validation?.validation_frequency}}</b></li>
                </ul>
            </div>
        </mat-expansion-panel>
    </mat-accordion>
</div>
<div *ngIf="helpItem" style="position: absolute;top:5px;right:5px;z-index:1000;">
    <button class="btn  btn-default btn-round md-btn-flat hide-arrow key-take-btn gray" style="border-color: rgba(8, 8, 8, 0.1);
  background: rgb(255, 255, 255);" (click)="helpToggle()">
        <i class="fa fa-times f-16 fw-700"></i>
    </button>
</div>

<!-- Help Item Content -->
